Summary:	Evolution extension for Exchange Web Services
Summary(pl.UTF-8):	Rozszerzenie Evolution dla Exchange Web Services
Name:		evolution-ews
Version:	3.22.4
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Mail
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-ews/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	f62d351ab579d91e33469e56a6c79eeb
Patch0:		%{name}-link.patch
URL:		http://projects.gnome.org/evolution/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.9
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libical-devel
BuildRequires:	libmspack-devel >= 0.4
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{version}
Requires:	evolution-data-server >= %{version}
Requires:	glib2 >= 1:2.40.0
Requires:	libsoup >= 2.42.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
servers, versions 2007 and later, through its Exchange Web Services
(EWS) interface.

%description -l pl.UTF-8
Ten pakiet pozwala programowi Evolution współpracować z serwerami
Microsoft Exchange w wersji 2007 lub nowszej poprzez interfejs EWS
(Exchange Web Services).

%package devel
Summary:	Development files for EWS libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek EWS
Group:		X11/Development/Libraries
Requires:	evolution-data-server-devel >= %{version}
Requires:	glib2-devel >= 1:2.40.0
Requires:	libsoup-devel >= 2.42.0

%description devel
This package provides development files for EWS library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne bibliotek EWS.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution/modules/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/evolution-data-server/libeews-1.2.so*
%attr(755,root,root) %{_libdir}/evolution-data-server/libewsutils.so*
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%attr(755,root,root) %{_libdir}/evolution/modules/module-ews-configuration.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews
%{_datadir}/appdata/evolution-ews.metainfo.xml

%files devel
%defattr(644,root,root,755)
%{_includedir}/evolution-data-server/ews
%changelog
* Wed Jan 18 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-ews.git;a=log;h=master

* Wed Jan 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 85e6031
- Update to 3.22.4

* Mon Dec 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 4fadf5d
- Update to 3.22.3

* Tue Dec 06 2016 Jakub Bogusz <qboosh@pld-linux.org> ee55b4e
- updated to 3.22.2

* Thu Oct 06 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 076e0e4
- Update to 3.22.0

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 5f83e0e
- updated to 3.20.4

* Fri Jun 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 5c19ec9
- updated to 3.20.3

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 5628c39
- updated to 3.20.2

* Thu Apr 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 52c0090
- Update to 3.20.1

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 8be8eb0
- Update to 3.20.0

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> df3f97a
- updated to 3.18.5

* Fri Jan 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 0ac5cb0
- updated to 3.18.4

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 57574b7
- updated to 3.18.3

* Wed Nov 11 2015 Jakub Bogusz <qboosh@pld-linux.org> b3788d8
- updated to 3.18.2

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 09f4aff
- updated to 3.18.1

* Fri Oct 02 2015 Łukasz Kieś <kiesiu@pld-linux.org> 83d1ebe
- updated to 3.18.0

* Fri Aug 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> 8895a13
- updated to 3.16.5

* Sat Jul 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 0a53212
- updated to 3.16.4
- removed obsolete localedir patch

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> dac7807
- updated to 3.16.3

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 45b07cd
- release 2 (by relup.sh)

* Wed May 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 7ad58c0
- updated to 3.16.2

